# Uses of Interface
javax.lang.model.type.IntersectionType

Packages that use IntersectionType
Package
Description
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of IntersectionType in javax.lang.model.type

Methods in javax.lang.model.type with parameters of type IntersectionType
Modifier and Type
Method
Description
`R`
TypeVisitor.`visitIntersection​(IntersectionType t, P p)`
Visits an intersection type.

## Uses of IntersectionType in javax.lang.model.util

Methods in javax.lang.model.util with parameters of type IntersectionType
Modifier and Type
Method
Description
`R`
AbstractTypeVisitor6.`visitIntersection​(IntersectionType t, P p)`
Visits an intersection type.
`abstract R`
AbstractTypeVisitor8.`visitIntersection​(IntersectionType t, P p)`
Visits an `IntersectionType` in a manner defined by a subclass.
`R`
SimpleTypeVisitor8.`visitIntersection​(IntersectionType t, P p)`
Visits an intersection type.
`R`
TypeKindVisitor8.`visitIntersection​(IntersectionType t, P p)`
Visits an intersection type.